## ganglia-monitor-core 2.5.0-1woody4

=== debian/changelog ===
ganglia-monitor-core (2.5.0-1woody4) unstable; urgency=low

  * This should be the final 2.5.0 version.

 -- Preston Smith <psmith@foobird.net>  Thu, 19 Sep 2002 20:07:48 -0500

ganglia-monitor-core (2.5.0-1woody3) unstable; urgency=low

  * Another bugfix with /var/lib/ganglia permissions. Also fixed 
    typo in ganglia user creation.

 -- Preston Smith <psmith@foobird.net>  Wed, 11 Sep 2002 15:01:04 -0500

ganglia-monitor-core (2.5.0-1woody2) unstable; urgency=low

  * Bugfix for gmetad rrd dir creation mode.

 -- Preston Smith <psmith@foobird.net>  Mon,  9 Sep 2002 21:01:04 -0500

ganglia-monitor-core (2.5.0-1woody1) unstable; urgency=low

  * New upstream. Major changes.

 -- Preston Smith <psmith@foobird.net>  Mon,  2 Sep 2002 21:01:04 -0500

ganglia-monitor-core (2.4.2-1pre2) unstable; urgency=low

  * Added 'oknodo' to init script so that it'll exit 0 when stopping, even
    if gmond isn't running.

 -- Preston Smith <psmith@foobird.net>  Fri,  9 Aug 2002 15:54:25 -0500

ganglia-monitor-core (2.4.2-1pre1) unstable; urgency=low

  * Initial release of 2.4.2

 -- Preston Smith <psmith@foobird.net>  Fri, 26 Jul 2002 15:40:33 -0500

ganglia-monitor-core (2.4.0-2) unstable; urgency=low

  * Fixed daemon starts and stops.

 -- Preston Smith <psmith@foobird.net>  Sat,  6 Jul 2002 20:02:27 -0500

ganglia-monitor-core (2.4.0-1) unstable; urgency=low

  * Initial Release.

 -- Preston Smith <psmith@foobird.net>  Tue, 16 Apr 2002 22:55:55 -0500
