=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -02 -Wall
ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --enable-shared --with-gmetad


build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/ganglia.sgml > ganglia.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
#	-rm -f dotconf-1.0.9/conftest.o
#	-rm -f dotconf-1.0.9/conftest
	-test -r /usr/share/misc/config.sub && \
	  cp -f /usr/share/misc/config.sub config.sub
	-test -r /usr/share/misc/config.guess && \
	  cp -f /usr/share/misc/config.guess config.guess


	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/ganglia.
	$(MAKE) install prefix=$(CURDIR)/debian/ganglia-monitor/usr

	mv $(CURDIR)/debian/ganglia-monitor/usr/lib/*.a $(CURDIR)/debian/libganglia1-dev/usr/lib
	mv $(CURDIR)/debian/ganglia-monitor/usr/lib/*.la $(CURDIR)/debian/libganglia1-dev/usr/lib
	mv $(CURDIR)/debian/ganglia-monitor/usr/include/* $(CURDIR)/debian/libganglia1-dev/usr/include

	mv $(CURDIR)/debian/ganglia-monitor/usr/lib/* $(CURDIR)/debian/libganglia1/usr/lib

	cp $(CURDIR)/gmond/gmond.conf $(CURDIR)/debian/ganglia-monitor/etc
	patch -d debian/ganglia-monitor/etc -p1 < debian/patches/gmond.conf.diff

	# gmetad stuff
	cp $(CURDIR)/gmetad/gmetad.conf $(CURDIR)/debian/gmetad/etc
	patch -d debian/gmetad/etc -p1 < debian/patches/gmetad.conf.diff
	mv $(CURDIR)/debian/ganglia-monitor/usr/sbin/gmetad $(CURDIR)/debian/gmetad/usr/sbin


# Remove dotconf stuff.
	rm $(CURDIR)/debian/libganglia1/usr/lib/libganglia.so
	rmdir $(CURDIR)/debian/ganglia-monitor/usr/include
	rmdir $(CURDIR)/debian/ganglia-monitor/usr/lib


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs -pganglia-monitor -Xlibganglia 
	dh_installdocs -plibganglia1-dev 
	dh_installdocs -plibganglia1 
	dh_installdocs -pgmetad
	#mv $(CURDIR)/debian/ganglia-monitor/usr/share/doc/ganglia-monitor/docs/libganglia/man/* $(CURDIR)/debian/libganglia1-dev/usr/share/man
	dh_installexamples
	dh_installmenu
	dh_installinit
	dh_installcron
	dh_installman -pganglia-monitor
	dh_installman -plibganglia1-dev
	dh_installman -pgmetad
	dh_installinfo
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
